
#include <qstring.h>

#include "oemstrings.h"

QString OEMStrings::name()
{
  return tr("VME DAQ Control Program");
}

QString OEMStrings::version()
{
  return tr("Version ") + QString(VERSION);
}

QString OEMStrings::revision()
{
  return tr("Rev. ") + QString(SVN_REV);
}

QString OEMStrings::release_date()
{
  return tr("Compiled ") + QString(__DATE__ __TIME__);
}

QString OEMStrings::copyright()
{
  return tr("Copyright") + " " + "2003-2010" + " " + tr("Ilja Slepnev");
}

QString OEMStrings::address()
{
  return "Joint Institute for Nuclear Research<br>Dubna, RUSSIA";
}

QString OEMStrings::www()
{
    return tr("http://afi.jinr.ru/");
}
