#ifndef HISTTYPES_H
#define HISTTYPES_H

#include <QList>
#include <QString>
#include <QMetaType>

class QDebug;

class HistListItem {
public:
    QString id;
    QString title;
    QString description;
};
Q_DECLARE_METATYPE(HistListItem)

QDebug operator<<(QDebug dbg, const HistListItem &);

class HistList : public QList<HistListItem> {};
Q_DECLARE_METATYPE(HistList)

#endif // HISTTYPES_H
