
#include "IpcShmStatus.h"

#include "daqcommon/daq_ipc.h"

//namespace {
//    const double DEFAULT_BURST_COUNTDOWN = 30.; // seconds

//    double tv_dt(const struct timeval t1, const struct timeval t2) {
//        return (((t2.tv_sec)-(t1.tv_sec)) + 1e-6*((t2.tv_usec)-(t1.tv_usec)));
//    }
//}

IpcShmStatus::IpcShmStatus(shm_status_t *status)
    : IpcShmStatusInfo(status), shm_status(status)
{
}

runparam_t IpcShmStatusInfo::getRunParams() const
{
    return shm_status->rp;
}

quint64 IpcShmStatusInfo::getStorageBytes() const
{
    return shm_status->stor_nb;
}

//double IpcShmStatusInfo::get_burst_time() const
//{
//    if (!shm_status) return 0;
//    if ((shm_status->t_burstreset.tv_sec > 0) && (shm_status->t_endspill.tv_sec > 0)) {
//        return tv_dt (shm_status->t_burstreset, shm_status->t_endspill);
//    } else {return 0;}
//}

//double IpcShmStatusInfo::get_wall_time() const
//{
//    if (!shm_status) return 0;
//    if ((shm_status->t_burstreset.tv_sec > 0) && (shm_status->t_endspill.tv_sec > 0)) {
//        struct timeval tnow;
//        gettimeofday(&tnow, NULL);
//        return tv_dt (shm_status->t_burstreset, tnow);
//    } else {return 0;}
//}
