//
//    Copyright 2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef QTMESSAGEUDPSENDER_H
#define QTMESSAGEUDPSENDER_H

#include <QObject>

class QUdpSocket;
class QtMessage;

class QtMessageUdpSender : public QObject
{
    Q_OBJECT

public:
    explicit QtMessageUdpSender(QObject *parent = 0);
    virtual ~QtMessageUdpSender();

private:
    QUdpSocket * const socket;
    bool ansiCapable;

private Q_SLOTS:
    void qtMessage(const QtMessage &message);
};

#endif // QTMESSAGEUDPSENDER_H
