//
//    Copyright 2011 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef DEVICE_IDS_H
#define DEVICE_IDS_H

const int VME_CR_VENDOR_ID = 0xA6;

enum mtype_t {
  MODULE_ID_DUMMY = 0,
  MODULE_ID_SLVME = 1,
  MODULE_ID_ROC48 = 2,
  MODULE_ID_ADLVME = 3,
  MODULE_ID_PHTDC = 4,
  MODULE_ID_TDC96 = 5,
  MODULE_ID_PHLOM = 6,
  MODULE_ID_TQDC = 9,
  MODULE_ID_TRIG = 0xA,
  MODULE_ID_BRIC = 0xC,
  MODULE_ID_MTDC64 = 0xD,
  MODULE_ID_ADC16VDRS = 0xE,
  MODULE_ID_MSC16V = 0xF,
  MODULE_ID_TDC64V = 0x10,
  MODULE_ID_TDC32VL = 0x11
};

const char *module_id_str(mtype_t id);

#endif /* DEVICE_IDS_H */
