#ifndef DECODE_MTDC64_H
#define DECODE_MTDC64_H

#include "decode_tdc.h"

class event_t;
class hw_manager;

class local_mtdc64_decoder: public local_tdc_decoder {
public:
  local_mtdc64_decoder(const hw_manager &p, event_t * const event)
    : local_tdc_decoder(p, event) {}

protected:
  virtual int module_nch() const;
  virtual int map_tdcidch2inp(int tdc_id, int tdc_ch) const;
  virtual int decode_ch(unsigned int d_raw) const;

};

#endif /* DECODE_MTDC64_H */
