#ifndef DECODE_TDC96_H
#define DECODE_TDC96_H

#include "decode_tdc.h"

class event_t;
class hw_manager;

class local_tdc96_decoder: public local_tdc_decoder {
public:
  local_tdc96_decoder(const hw_manager &p, event_t * const event)
    : local_tdc_decoder(p, event) {}

protected:
  virtual int module_nch() const {return 96;}
  virtual int map_tdcidch2inp(int tdc_id, int tdc_ch) const;
  virtual int decode_ch(unsigned int d_raw) const;

};

#endif /* DECODE_TDC96_H */
