#ifndef EVENTSTATS_H
#define EVENTSTATS_H

#include <QtCore/QtGlobal>
#include <map>
#include <string>
#include "hal/device_db_types.h"

typedef std::map<ddb_key_t, qint64> ModuleStats;
typedef std::map<std::string, ModuleStats> EventStats;

void printEventStats(const EventStats &eventStats);

//EventStats &EventStats::operator+(const EventStats &eventStats);

class hw_manager;

class EventStatsSum {
  public:
	EventStatsSum(const hw_manager &r) : hwf (r) {}
	void add(const EventStats &eventStats);
	void clear();
	std::string getHtml() const;
  protected:
	EventStats data;
	const hw_manager &hwf;
};

/*
class EventStats {
  public:
  // count [name][ddb_key]
        std::map<std::string, ModuleStats> count;
};
*/
#endif /* EVENTSTATS_H */
