
#include "hal/hwif_event.h"

hwifEvent::hwifEvent(int nprio, int nid)
{
  prio = nprio;
  id = nid;
}

hwifEvent::hwifEvent(const hwifEvent&p)
{
  copyData(p);
}

hwifEvent& hwifEvent::operator=(const hwifEvent&p)
{
  if (&p != this)
	copyData(p);
  return *this;
}
bool hwifEvent::operator<(const hwifEvent&p) const
{
  return this->prio < p.prio;
}

void hwifEvent::copyData(const hwifEvent&p)
{
  prio = p.prio;
  id = p.id;
}
