#ifndef HWIF_EVENT_H
#define HWIF_EVENT_H

#include <queue>

class hwifEvent {
  public:
    enum { SPILL_ON, SPILL_OFF, DATA, RXPKT, OVERRUN, TIMEOUT };
	hwifEvent(int prio, int id);
	hwifEvent(const hwifEvent&);
	hwifEvent& operator=(const hwifEvent&);
	bool operator<(const hwifEvent&) const;
	int getPrio() const {return prio;}
	int getId() const {return id;}

  private:
	void copyData(const hwifEvent&);

    int prio;
    int id;
};

#endif /* HWIF_EVENT_H */
