
/*
 * PHTDC backend (hardware) implementation
 */

#include "phtdc_bmod.h"

//! input: tdc_dev (0..N), tdc_ch(0..31)
//! output: module channel number
int phtdc_bmod::map_chtdc2inp(int tdc_dev, int tdc_ch)
{
  if (tdc_dev < 0 || tdc_dev >= 4) return -1;
  if (tdc_ch < 0 || tdc_ch >= 32) return -1;
  if (tdc_ch%2) return -1; // only even hptdc channels are used
  return phtdc_norm_map_ch_code[tdc_dev][tdc_ch/2];
};

//! input: module channel number
//! output: tdc_ch
//int phtdc_bmod::map_inp2chtdc(int ch)
//{
//  if (ch < 0 || ch >= 64) return 0;
//  return phtdc_norm_map_ch_tdcch[ch];
//}
//! input: module channel number
//! output: tdc number
//int phtdc_bmod::map_inp2ntdc(int ch)
//{
//  if (ch < 0 || ch >= 64) return 0;
//  return phtdc_norm_map_ch_ntdc[ch];
//}

// end
