
/*
 * TDC32VL module
 */

#ifndef TDC32VL_MOD_H
#define TDC32VL_MOD_H

#include <vector>

#include "hal/tdc_mod.h"

class tdc32vl_mod : public virtual tdc_mod {
public:
    virtual void set_defaults();
    virtual void set_setup(common_setup_t *f_setup, size_t f_size); // fixme
    virtual size_t get_setup_size() const;
    virtual void set_int(int value, const std::string &tag, int mch=SET_ALL_CH);

protected:
    virtual unsigned int tdc_nch() const; // number of tdc channels altogether
    virtual unsigned int tdc_ndev() const; // number of hptdc chips

    virtual int hptdc_dev_num(int mch) const;
};

#endif /* TDC32VL_MOD_H */
