
/*
 * TDC96 backend (hardware) implementation
 */


#include "tdc96_bmod.h"
#include "modules/tdc96_types.h"

//! input: tdc_dev (0..N), tdc_ch(0..31)
//! output: module channel number
int tdc96_bmod::map_chtdc2inp(int tdc_dev, int ch)
{
  if (tdc_dev < 0 || tdc_dev >= 3) return 0;
  if (ch < 0 || ch >= 32) return 0;
  return tdc_dev*32+tdc96_tdcch2ch[ch%32];
};

// end
