
/*
 * TDC96 backend (hardware) declaration
 */

#ifndef TDC96_BMOD_H
#define TDC96_BMOD_H

#include "hal/tdc96_mod.h"
#include "tdc_bmod.h"

class tdc96_bmod: public tdc_bmod, public tdc96_mod {
  public:
    tdc96_bmod(const bmod_props &props) : tdc_bmod(props) {}

  protected:
//! reimplemented tdc_bmod::map_chtdc2inp()
//! input: tdc_dev (0..N), tdc_ch(0..31)
//! output: module channel number
  virtual int map_chtdc2inp(int tdc_dev, int ch);
//  virtual int reg_index_jtagb() const {return reg_index_jtag();} // disable 32-bit JTAG

};

#endif /* TDC96_BMOD_H */
