
/*
 * TRIG module
 */

#ifndef TRIG_MOD_H
#define TRIG_MOD_H

#include <string>
#include "hal/base_mod.h"

class trig_mod : public virtual base_mod
{
public:
    virtual QVariant get_var(const std::string &tag, unsigned int mch=GET_FIRST_CH) const;
    virtual int      get_int(const std::string &tag, unsigned int mch=GET_FIRST_CH) const;
    virtual void set_var(const QVariant &value, const std::string &tag, int mch=SET_ALL_CH);
    virtual void set_int(int             value, const std::string &tag, int mch=SET_ALL_CH);
    virtual void set_defaults();
    virtual size_t get_setup_size() const;
};

#endif /* TRIG_MOD_H */
