//
//    Copyright 2012 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef _MSC_TYPES_H
#define _MSC_TYPES_H

#include <vector>

#include "daqcommon/hal_types.h"

enum { MSC_NCH = 16 };
enum { MSC_NDEV = 1 };

#pragma pack(push,4)
class msc_setup_t : public common_setup_t {
public:
  int thr[MSC_NCH];
};
#pragma pack(pop)

QDebug operator<<(QDebug dbg, const msc_setup_t &);

//enum { MSC_N_COUNTERS = 16 };

#endif /* _MSC_TYPES_H */
