#ifndef _TDC_TYPES_H
#define _TDC_TYPES_H

#include <QtCore/QtGlobal>

#include "daqcommon/hal_types.h"
#include "hptdc/hptdc_types.h"

enum { TDC_MAXNCH = 96 };
enum { TDC_MAXDEV = 6 };

#pragma pack(push,4)
class tdc_setup_t : public common_setup_t {
public:
  int ch_enable[TDC_MAXNCH];
  quint32 hptdc_idcode[TDC_MAXDEV];
  hptdc_setup_t tdcsetup[TDC_MAXDEV];
  int matchwin;
  int latency;
};
#pragma pack(pop)

class QDebug;
QDebug operator<<(QDebug dbg, const tdc_setup_t &);

#endif /* _TDC_TYPES_H */
