//
//    Copyright 2003-2011 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#include "histdialog.h"

#include <QCheckBox>

#include "ui_histdialogui.h"

HistDialog::HistDialog (QWidget *parent)
    : QDialog(parent),
    ui(new Ui::HistDialogUi)
{
    ui->setupUi(this);
}

HistDialog::~HistDialog ()
{
}

//void HistDialog::update()
//{
//    ui->histWidget->update();
//}

//int HistDialog::getid ()
//{
//    return (myid);
//}

//void HistDialog::setid (int id)
//{
//    myid = id;
//}

void HistDialog::pbSave_clicked ()
{
    ui->histWidget->save_to_file();
}

//QString HistDialog::getHistName () const
//{
//    if (h)
//        return h->getname();
//    else
//        return tr("unknown");
//}

//void HistDialog::show()
//{
//    ui->histWidget->show();
//}

void HistDialog::cb_show_fit_toggled(bool state)
{
    ui->histWidget->setShowFit(state);
}


void HistDialog::cb_logy_toggled( bool state )
{
    ui->histWidget->setLogY(state);
}

void HistDialog::on_buttonBox_clicked(QAbstractButton *button)
{
    switch(ui->buttonBox->standardButton(button)) {
    case QDialogButtonBox::Save: pbSave_clicked(); break;
    case QDialogButtonBox::Close: accept(); break;
    default:;
    }
}
