#ifndef MYTABLE_H
#define MYTABLE_H

#include <q3table.h>
//Added by qt3to4:
#include <QPixmap>

class QPainter;
class QColor;
class QColorGroup;
class QRect;

/*
class QMyTable: public QTable
{

  public:
	QMyTable(QWidget * parent = 0, const char * name = 0 ): QTable( parent, name ) {}

  protected:
    virtual void paintCell( QPainter *p, int row, int col, const QRect &cr, bool selected );

};
*/

class QMyTableItem: public Q3TableItem
{
  public:
	QMyTableItem(Q3Table *table, EditType et = Q3TableItem::WhenCurrent, const QString &text = QString(), const QPixmap &p = QPixmap() );

    void setBackgroundColor(const QColor &c) {bgcolor = c;}

	virtual void paint( QPainter *p, const QColorGroup &cg, const QRect &cr, bool selected );

  private:
    QColor bgcolor;
};

#endif /* MYTABLE_H */
