#ifndef PacketReceiver_H
#define PacketReceiver_H

#include <QObject>
#include <cstddef>
#include "daqcommon/LinkStats.h"

class QByteArray;

class PacketReceiver: public QObject
{
    Q_OBJECT

public:
    PacketReceiver();
    virtual ~PacketReceiver() {}
    void reset();
    size_t handle_rx_pkt();
    void printLinkStats() const;

Q_SIGNALS:
    void bytesRead(const QByteArray &data);

protected:
    unsigned short save_frame_seq_110;
    LinkStats linkStats;
};

#endif /* PacketReceiver_H */
