//
//    Copyright 2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef STARTUPCONFIG_H
#define STARTUPCONFIG_H

#include <cstddef>

class StartupConfig
{
public:
    StartupConfig(int argc, char *const argv[]);
    void usage();

    bool no_startup_selftest;
    int stor_cyclic;            // recycle data file every burst
    bool erase_ipc_memory;
    bool write_calibration_data;
    bool runcontrol_automode;
    size_t requested_rawdata_size;

protected:
    void parse_cmdline(int argc, char *const argv[]);
};

#endif // STARTUPCONFIG_H
