#ifndef MSC_WAVEFORMVIEW_H
#define MSC_WAVEFORMVIEW_H

#include <QMap>
#include <QDateTime>

#include "waveformview.h"

class event_t;
class msc_data_t;

class MSC_WaveformView: public WaveformView
{

    Q_OBJECT

public:
    MSC_WaveformView(QWidget *p);
    virtual void update();
    virtual void clear();
//	virtual void setrefmark(unsigned int ch, double y, const QString &label = QString());

public Q_SLOTS:
    void add_event(const event_t &ev);

private:
    WaveformDataAll prepareWaveform() const;
//    WaveformDataAll cache;
    msc_data_t * const msc_data;
    QDateTime updateTimestamp;
};

#endif /* MSC_WAVEFORMVIEW_H */
