#ifndef QUTIL_H
#define QUTIL_H

#include <QObject>
#include <QCursor>

class QWidget;

class localWaitCursor: public QObject
{
public:
    localWaitCursor(QWidget *w);
    virtual ~localWaitCursor();
private:
    QWidget * const widget;
    QCursor save_cursor;
};

class globalWaitCursor: public QObject
{
public:
    globalWaitCursor();
    virtual ~globalWaitCursor();
private:
    QCursor save_cursor;
};

class TemporaryWidgetDisabler: public QObject
{
public:
    TemporaryWidgetDisabler(QWidget *p);
    ~TemporaryWidgetDisabler();
protected:
    QWidget * const widget;
    bool saveState;
};

#endif /* QUTIL_H */
