#ifndef TRIGGERSVIEW_WFVIEW_H
#define TRIGGERSVIEW_WFVIEW_H

#include <QMap>

#include "waveformview.h"

class event_t;
class th1;

class TriggersView_WaveformView: public WaveformView
{
  public:
        TriggersView_WaveformView(QWidget *p);
        void add_event(const event_t &ev);
        void write_file();
    void simulate();
    virtual void update();
    virtual void clear();
//	virtual void setrefmark(unsigned int ch, double y, const QString &label = QString());
  private:
    WaveformDataAll cache;
    QMap<int, th1> h;
    int save_bin;
    double save_max_t, max_t;
};

#endif /* TRIGGERSVIEW_WFVIEW_H */
