#ifndef IpcShmStatus_H
#define IpcShmStatus_H

#include <QtCore/QtGlobal>

struct shm_status_t;
struct runparam_t;

class IpcShmStatusInfo
{
public:
    runparam_t getRunParams() const;
    quint64 getStorageBytes() const;
//    double get_burst_time() const;
//    double get_wall_time() const;

protected:
    IpcShmStatusInfo(const shm_status_t *p) : shm_status(p) {}

private:
    const shm_status_t * const shm_status;
};

class IpcShmStatus : public IpcShmStatusInfo
{
public:
    IpcShmStatus(shm_status_t *status);

protected:
    shm_status_t * const shm_status;
};

#endif /* IpcShmStatus_H */
