//
//    Copyright 2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef QTMESSAGEUDPRECEIVER_H
#define QTMESSAGEUDPRECEIVER_H

#include <QObject>

class QUdpSocket;
class QByteArray;

class QtMessageUdpReceiver : public QObject
{
    Q_OBJECT

public:
    explicit QtMessageUdpReceiver(QObject *parent = 0);
    virtual ~QtMessageUdpReceiver();

private:
    void processTheDatagram(const QByteArray &data);
    QUdpSocket * const socket;

private Q_SLOTS:
    void readPendingDatagrams();
};

#endif // QTMESSAGEUDPRECEIVER_H
