//
//    Copyright 2002-2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef _DAQ_H
#define _DAQ_H 1

//#define DEBUG 1
//#define DUMP_SPEED 1
//#define LATENCY 248

//#define USE_RT_SCHED 1
#undef USE_RT_SCHED

// IPC
const unsigned int SHM_STATUS_KEY  = 0x1201;
const unsigned int SHM_RAWDATA_KEY = 0x1202;
//const unsigned int SHM_DECODER_KEY = 0x1203;
const unsigned int SHM_EVLIST_KEY = 0x1205;
//const unsigned int SHM_TMP_KEY = 0x1212; // reserved

//#define DEF_LOCAL_TIMER quint64 ticks_start, ticks_stop, ticks_check;
//#define START_LOCAL_TIMER(time) {ticks_stop=(quint64)(((double)time)*cpu_clk); ticks_start=get_cycles();}
//#define LOCAL_TIMER_EXPIRED ((((ticks_check=get_cycles())-ticks_start) >= ticks_stop)?1:0)
//#define delay_us(us) {DEF_LOCAL_TIMER; START_LOCAL_TIMER((us)*1e-6); while(!LOCAL_TIMER_EXPIRED);}

class DaqApp;
extern DaqApp *daqApp;

#endif /* _DAQ_H */
