#ifndef _DECODER_H
#define _DECODER_H 1

typedef struct {
    int niter;
    double fnorm;
    //  double err[3];
} fitstatus_t;

extern int MAX_FIT_POINTS;

// Coarse approximation of gauss curve
void FindGausApprox (int *x, int len, double *par);
void FindGausApproxD (double *x, int len, double *par);
//  double FindGausChisq (int *x, int len, double *par);


int InitFindGaus ();
int FindGausParam (int fixpar, double *x, int len, double *par, fitstatus_t *fs);
int QuickFitGaus (double *x, int len, double *par, fitstatus_t *fs);

#endif                          /* _DECODER_H */
