#ifndef HPTIMER_H
#define HPTIMER_H

#include "vmedaq_gettimeofday.h"

class hpTimer
{
  public:
	hpTimer();
	void calibrate();
    void start();
    void stop();
    double elapsed() const;

private:
  struct timeval tv_start, tv_stop;
  bool is_running;
  double calibration;
};

#endif /* HPTIMER_H */
