#ifndef DECODE_MSC_H
#define DECODE_MSC_H

#include "decoder/decode_base.h"

class event_t;
class hw_manager;
//class msc_counts_t;

class local_msc_decoder: public local_base_decoder {
public:
    local_msc_decoder(const hw_manager &p, event_t * const event);
    virtual int decode();
    virtual void clear();
    virtual void print() const;
private:
//    msc_counts_t *prev_cnt;
    quint32 prev_ts;
};

#endif /* DECODE_MSC_H */
