#ifndef DECODE_TDC32VL_H
#define DECODE_TDC32VL_H

#include "decode_tdc.h"

class event_t;
class hw_manager;

class local_tdc32vl_decoder: public local_tdc_decoder {
public:
  local_tdc32vl_decoder(const hw_manager &p, event_t * const event)
  : local_tdc_decoder(p, event) {}

protected:
  virtual int module_nch() const {return 32;}
  virtual int map_tdcidch2inp(int tdc_id, int tdc_ch) const;
  virtual int decode_ch(unsigned int d_raw) const;

};

#endif /* DECODE_TDC32VL_H */
