
/*
 * abstract hardware interface
 */

#include <iostream>

#include "daqcommon/daqexc.h"
#include "hal/base_hwif.h"
#include "daqcommon/vme_types.h"

using namespace std;

hwif_discover_t::hwif_discover_t(const vme_cr_t &r_cr, const vme_csr_t &r_csr, int ga, int r_serial_id)
{
    cr.serial = r_cr.serial;
    cr.type = r_cr.type;
    cr.reserved = r_cr.reserved;
    cr.vendor = r_cr.vendor;
    serial_id = r_serial_id;
    reg_base = r_csr.base;
    slot = ga;
}

void base_hwif::w_r_a16_d32(unsigned int addr, int wdata, int *rdata)
{
    w_a16_d32(addr, wdata);
    r_a16_d32(addr, rdata);
}
