
/*
 * BRIC module
 */

#ifndef BRIC_MOD_H
#define BRIC_MOD_H

#include <string>
#include <map>
#include "hal/base_mod.h"

class bric_mod : public virtual base_mod
{
public:
    virtual int get_int(const std::string &tag, unsigned int mch=GET_FIRST_CH) const;
    virtual void set_int(int value, const std::string &tag, int mch=SET_ALL_CH);
    virtual void set_defaults();
    virtual size_t get_setup_size() const;

protected:
    virtual void print_private_setup() const;
private:
};

#endif /* BRIC_MOD_H */
