/*
 * Hardware frontend: user-interface functions
 */

#ifndef HW_FRONTEND_SHM_H
#define HW_FRONTEND_SHM_H

#include "hal/hw_manager.h"
#include "hal/hw_frontend.h"

class SharedSetupFrontend;

class hw_frontend_shm: public hw_frontend {
public:
  hw_frontend_shm();
  virtual ~hw_frontend_shm();
  virtual bool isReadonly() const;
  virtual void open ();
  virtual void close ();

private:
  virtual void create_modules_from_hws();

  SharedSetupFrontend * const sharedSetup;
};

#endif /* HW_FRONTEND_SHM_H */
