
/*
 * MTDC64 module
 */

#ifndef MTDC64_MOD_H
#define MTDC64_MOD_H

#include <vector>

#include "hal/tdc_mod.h"

class mtdc64_mod : public virtual tdc_mod {
public:
  virtual void set_defaults();
  virtual void set_setup(common_setup_t *f_setup, size_t f_size); // fixme
  virtual size_t get_setup_size() const;

protected:
  virtual unsigned int tdc_nch() const; // number of tdc channels altogether
  virtual unsigned int tdc_ndev() const; // number of hptdc chips
  virtual int hptdc_dev_num(int mch) const;
};

//extern int mtdc64_map_ch_code[3][32];

#endif /* MTDC64_MOD_H */
