
/*
 * PHTDC backend (hardware) declaration
 */

#ifndef PHTDC_BMOD_H
#define PHTDC_BMOD_H

#include "phtdc_mod.h"
#include "tdc_bmod.h"

class phtdc_bmod: public tdc_bmod, public phtdc_mod {
  public:
    phtdc_bmod(const bmod_props &props) : tdc_bmod(props) {}
  protected:
//! reimplemented tdc_bmod::map_chtdc2inp()
//! input: tdc_dev (0..N), tdc_ch(0..31)
//! output: module channel number
  virtual int map_chtdc2inp(int tdc_dev, int ch);
//! input: module channel number
//! output: tdc_ch
//  virtual int map_inp2chtdc(int ch);
//! input: module channel number
//! output: tdc number
//  virtual int map_inp2ntdc(int ch);
//  virtual int reg_index_jtagb() const {return reg_index_jtag();} // disable 32-bit JTAG

};

#endif /* PHTDC_BMOD_H */
