#ifndef VMEDAQ_JTAG_IMPL_H
#define VMEDAQ_JTAG_IMPL_H

#include <cstddef>

class Jtag_Impl
{
public:
  virtual ~Jtag_Impl() { }
  virtual int jtag_io (int tms, int tdi) = 0;
  virtual void jtag_io_b(size_t count, const bool *btms, const bool *btdi, bool *btdo);
  virtual void jtag_io_b32_blk (unsigned int count, const unsigned int *tdi32Data, unsigned int *tdo32Data);

protected:
  virtual int jtag_io_b32 (int tdi); // emulate 32-bit i/o with single i/o

private:
};

#endif /* VMEDAQ_JTAG_IMPL_H */
