//
//    Copyright 2011 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef _TDC32VL_TYPES_H
#define _TDC32VL_TYPES_H

#include "modules/tdc_types.h"
#include "hptdc/hptdc_types.h"

enum { TDC32VL_NCH = 32 };
enum { TDC32VL_NDEV = 4 };

#if (TDC32VL_NCH > TDC_MAXNCH)
# error
#endif
#if (TDC32VL_NDEV > TDC_MAXDEV)
# error
#endif

const int tdc32vl_tdcid2tdcnum[16] = {
  -1,  0,  1, -1,  3, -1, -1, -1, 2, -1, -1, -1, -1, -1, -1, -1
};

const int tdc32vl_tdcch2ch[32] = {
    7,-1,-1,-1, 6,-1,-1,-1, 5,-1,-1,-1, 4,-1,-1,-1, 3,-1,-1,-1, 2,-1,-1,-1, 1,-1,-1,-1, 0,-1,-1,-1
};

class tdc32vl_setup_t : public tdc_setup_t {
public:
};

class QDebug;
QDebug operator<<(QDebug dbg, const tdc32vl_setup_t &s);

#endif /* TDC32VL_TYPES_H */
