//
//    Copyright 2003-2011 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef VMEDAQ_GUI_HIST_HISTDIALOG_H
#define VMEDAQ_GUI_HIST_HISTDIALOG_H

#include <QDialog>

namespace Ui {
    class HistDialogUi;
}

class QAbstractButton;

class HistDialog: public QDialog
{
    Q_OBJECT

public:
    explicit HistDialog(QWidget *parent);
    virtual ~HistDialog();

public Q_SLOTS:
//    virtual void show();

private:

    Ui::HistDialogUi * const ui;

private Q_SLOTS:
    void pbSave_clicked();
    void cb_show_fit_toggled(bool state);
    void cb_logy_toggled( bool );
    void on_buttonBox_clicked(QAbstractButton *button);
};

#endif /* VMEDAQ_GUI_HIST_HISTDIALOG_H */
