
#include <qpainter.h>
//Added by qt3to4:
#include <QPixmap>

#include "mytable.h"
/*
void QMyTable::paintCell( QPainter *p, int row, int col, const QRect &cr, bool selected )
{
  p->setPen( QColor( 255, 0, 0 ) );
  p->setBrush( QColor( 0, 100, 0 ) );
  p->drawRect( 0, 0, cr.width(), cr.height() );
  QTable::paintCell( p, row, col, cr, selected );
}
*/

QMyTableItem::QMyTableItem(Q3Table *table, EditType et, const QString &text, const QPixmap &p )
    : Q3TableItem( table, et, text, p )
{
    //  bgcolor = QColorGroup::Background;
    bgcolor = QColor(Qt::green);
}


void QMyTableItem::paint( QPainter *p, const QColorGroup &cg, const QRect &cr, bool selected )
{
    //    p->fillRect( 0, 0, cr.width(), cr.height(),
    //		 selected ? cg.brush( QColorGroup::Highlight )
    //			  : cg.brush( QColorGroup::Base ) );
    p->fillRect(0, 0, cr.width(), cr.height(), bgcolor);
    int w = cr.width();
    int h = cr.height();

    int x = 0;
    //    if ( !pix.isNull() ) {
    //	p->drawPixmap( 0, ( cr.height() - pix.height() ) / 2, pix );
    //	x = pix.width() + 2;
    //    }

    if ( selected )
        p->setPen( cg.highlightedText() );
    else
        p->setPen( cg.text() );
    p->drawText( x + 2, 0, w - x - 4, h,
                 /* wordwrap ? (alignment() | WordBreak) :*/ alignment(), text() );
}
